FROM gitlab-registry.cern.ch/linuxsupport/alma9-base:latest

COPY linuxsupport9al-stable.repo /etc/yum.repos.d/

RUN dnf -y install epel-release \
&& dnf -y install yum-utils python3-suds python3-opensearch-py python3-requests-kerberos \
&& dnf clean all

COPY filters* utils* web_logs* dist_stats* /root/

VOLUME /distributions_stats

WORKDIR /root

ENTRYPOINT ["/root/dist_stats.sh"]
